Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.evaluator
Class EvaluationContext

    java.lang.Object
      |
      +--com.bea.wlpi.evaluator.EvaluationContext

public final class EvaluationContext
extends java.lang.Object

Passes evaluation parameters to nodes in an expression parse tree.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCalendarType()` Return the type of calendar to use when performing date arithmetic.
`EventData` | `getEventData()` Return the event datum for the current event.
`ExecutionContext` | `getExecutionContext()` Return the execution context within which to evaluate the expression.
`java.lang.String` | `getTaskId()` Return the ID of the current task (if any).
`java.lang.String` | `getUserId()` Return the ID of the user who made the current top-level API call.
`com.bea.wlpi.server.instance.WorkflowInstanceData` | `getWorkflowInstanceData()` Return the workflow instance state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExecutionContext

    public final ExecutionContext getExecutionContext()

  Return the execution context within which to evaluate the expression.

  Returns:
    The execution context.

### getCalendarType

    public final int getCalendarType()

  Return the type of calendar to use when performing date arithmetic.

  Returns:
    The ordinal calendar type. One of: `ExecutionContext.CALTYPE_ORG`, `ExecutionContext.CALTYPE_ASSIGNEE`, `ExecutionContext.CALTYPE_SPECIFIC`, `ExecutionContext.CALTYPE_GREGORIAN`.

### getWorkflowInstanceData

    public final com.bea.wlpi.server.instance.WorkflowInstanceData getWorkflowInstanceData()

  Return the workflow instance state. N.B. This method exposes undocumented classes. Plugins should call the public APIs `Admin.getInstanceVariables(java.lang.String)` and `Admin.setInstanceVariable(java.lang.String, java.lang.String, java.lang.String, java.lang.Object)` instead.

  Returns:
    The workflow instance state.

### getEventData

    public final EventData getEventData()

  Return the event datum for the current event.

  Returns:
    The event datum.

### getUserId

    public final java.lang.String getUserId()

  Return the ID of the user who made the current top-level API call.

  Returns:
    The user ID.

### getTaskId

    public final java.lang.String getTaskId()

  Return the ID of the current task (if any).

  Returns:
    The task ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)